
 LinHES - Bug # 677: mplayer-wrapper.pl needs a dependency: vdpauinfo

Status: Closed Priority: Normal
Author: Human Category: Packages: Core
Created: 04/01/2010 Assignee: mihanson
Updated: 04/04/2010 Due date:
Description: Package vdpauinfo is required by mplayer-wrapper.pl in order to check the user's system for vdpau capability 

when determining mplayer parameters.  At the moment, vdpauinfo has to be installed by hand.

History
04/01/2010 12:56 pm - mihanson
- Target version set to 6.03.00

- Status changed from New to In Progress

- Assignee set to mihanson

- Category changed from Packages: Extra to Packages: Core

I'm not intimately familiar with the script, but what if the user does not have a VDPAU-capable video card?  Would an optional dependency on vdpauinfo 
be better?

04/01/2010 01:23 pm - Human
The script depends on it, in that it makes a call to vdpauinfo (or will, once I update it).  Unless it's a dependency of the package containing 
mplayer-wrapper.pl, then nobody will know to install it.  It causes no harm for people who don't have vdpau-capable hardware.

04/01/2010 02:00 pm - mihanson
Ok, no problem.  Do you have an updated script I can add.  Rather just update this once. :)

04/01/2010 02:04 pm - Human
No update yet.  I'm adding a feature to auto-crop old-style "widescreen" 4:3 videos, usually MPEG2.  I'll push the new code to my github repo when 
done: http://github.com/Human/mythic.tv-contributed-code

04/04/2010 07:47 am - jams
- Status changed from In Progress to Closed

Applied in changeset e5996677c91306b23fbe4baa5671c5795dd0579f.
